## Index

### Enumerations

- BEFORE_OR_AFTER

### Classes

- BracketPair
- CellMutation
- CommandMutation
- ExtraPair
- ISimpleBracket
- MatchedCellsForRule
- MultiMap
- ReplaceDirection
- ReplaceTile
- SimpleBracket
- SimpleEllipsisBracket
- SimpleNeighbor
- SimpleRule
- SimpleRuleGroup
- SimpleRuleLoop
- SimpleTileWithModifier

### Interfaces

- IMatchedCellAndCorrespondingNeighbors
- IMutation
- IRule

### Variables

- BitSet2
- LRU_CACHE_SIZE
- MAX_ITERATIONS_IN_LOOP
- SIMPLE_DIRECTION_DIRECTIONS

### Functions

- buildPermutations

## Variables

### Const BitSet2

BitSet2: any = require('bitset')

- Defined in models/rule.ts:13

### Const LRU_CACHE_SIZE

LRU_CACHE_SIZE: 50 = 50

- Defined in models/rule.ts:16

### Const MAX_ITERATIONS_IN_LOOP

MAX_ITERATIONS_IN_LOOP: 350 = 350

- Defined in models/rule.ts:15

### Const SIMPLE_DIRECTION_DIRECTIONS

SIMPLE_DIRECTION_DIRECTIONS: RULE_DIRECTION[] = [RULE_DIRECTION.RIGHT,RULE_DIRECTION.DOWN,RULE_DIRECTION.LEFT,RULE_DIRECTION.UP]

- Defined in models/rule.ts:18

## Functions

### buildPermutations

- buildPermutations<T>(cells: T[][]): T[][]

- - Defined in models/rule.ts:89

  #### Type parameters

  - #### T

  #### Parameters

  - ##### cells: T[][]

  #### Returns T[][]

Generated using TypeDoc